Loading...
Searching...
No Matches
GeometryBlockHeader Struct Reference

Legacy CHS style logical geometry metadata (BlockType::GeometryBlock). More...

`#include <aaruformat/structs/data.h>`

## Data Fields

uint32_t | identifier
| Block identifier, must be BlockType::GeometryBlock.
uint32_t | cylinders
| Number of cylinders.
uint32_t | heads
| Number of heads (tracks per cylinder).
uint32_t | sectorsPerTrack
| Number of sectors per track.

## Detailed Description

Legacy CHS style logical geometry metadata (BlockType::GeometryBlock).

Total logical sectors implied by this header is cylinders * heads * sectorsPerTrack. Sector size is not included here and must be derived from context (e.g., accompanying metadata or defaulting to 512 for many block devices).

Definition at line 90 of file data.h.

## Field Documentation

## cylinders

uint32_t GeometryBlockHeader::cylinders

Number of cylinders.

Definition at line 93 of file data.h.

Referenced by aaruf_get_geometry(), aaruf_set_geometry(), and process_geometry_block().

## heads

uint32_t GeometryBlockHeader::heads

Number of heads (tracks per cylinder).

Definition at line 94 of file data.h.

Referenced by aaruf_get_geometry(), aaruf_set_geometry(), and process_geometry_block().

## identifier

uint32_t GeometryBlockHeader::identifier

Block identifier, must be BlockType::GeometryBlock.

Definition at line 92 of file data.h.

Referenced by aaruf_get_geometry(), aaruf_open(), aaruf_set_geometry(), process_geometry_block(), and write_geometry_block().

## sectorsPerTrack

uint32_t GeometryBlockHeader::sectorsPerTrack

Number of sectors per track.

Definition at line 95 of file data.h.

Referenced by aaruf_get_geometry(), aaruf_set_geometry(), and process_geometry_block().

The documentation for this struct was generated from the following file:

- include/aaruformat/structs/data.h